# Class DB2EJBQLConditionTranslator

java.lang.Object
org.apache.cayenne.ejbql.EJBQLBaseVisitor
org.apache.cayenne.access.translator.ejbql.EJBQLConditionTranslator
org.apache.cayenne.dba.db2.DB2EJBQLConditionTranslator

All Implemented Interfaces:
  `EJBQLExpressionVisitor`

public class DB2EJBQLConditionTranslator extends EJBQLConditionTranslator

Since:
  4.0

- ## Field Summary

  ### Fields inherited from class EJBQLConditionTranslator

  `context, multiColumnOperands`

  ### Fields inherited from class EJBQLBaseVisitor

  `continueFlag`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `visitTrim(EJBQLExpression expression, int finishedChildIndex)`
  `boolean`
  `visitTrimBoth(EJBQLExpression expression)`

  ### Methods inherited from class EJBQLConditionTranslator

  `addMultiColumnOperand, afterChild, checkNullParameter, visitAbs, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitBetween, visitBooleanLiteral, visitConcat, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDbPath, visitDecimalLiteral, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitGreaterOrEqual, visitGreaterThan, visitIdentificationVariable, visitIn, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMemberOf, visitMod, visitMultiply, visitNamedInputParameter, visitNamedInputParameterForIn, visitNot, visitNotEquals, visitOr, visitPath, visitPositionalInputParameter, visitPositionalInputParameterForIn, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpper`

  ### Methods inherited from class EJBQLBaseVisitor

  `visitAbstractSchemaName, visitAscending, visitAverage, visitClassName, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitDelete, visitDescending, visitDistinct, visitFrom, visitFromItem, visitGroupBy, visitHaving, visitIdentifier, visitInnerFetchJoin, visitInnerJoin, visitMax, visitMin, visitNegative, visitOrderBy, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPatternValue, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSum, visitTok, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitWhere`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### visitTrim

    public boolean visitTrim(EJBQLExpression expression, int finishedChildIndex)
    Specified by:
      `visitTrim` in interface `EJBQLExpressionVisitor`
    Overrides:
      `visitTrim` in class `EJBQLConditionTranslator`

  - ### visitTrimBoth

    public boolean visitTrimBoth(EJBQLExpression expression)
    Specified by:
      `visitTrimBoth` in interface `EJBQLExpressionVisitor`
    Overrides:
      `visitTrimBoth` in class `EJBQLConditionTranslator`